## org.opengis.temporal
Interface TemporalOrder

All Known Subinterfaces:
  Instant, Period, TemporalGeometricPrimitive, TemporalPrimitive

    @UML(identifier="TM_Order",
         specification=ISO_19108)
    public interface TemporalOrder

Provides an operation for determining the position of this temporal primitive relative to another temporal primitive.

TODO:
  The javadoc suggests that this interface should extends some kind of `TemporalPrimitive`.

Method Summary
`RelativePosition` `relativePosition(TemporalPrimitive other)` Determines the position of this primitive relative to another primitive.

Method Detail

### relativePosition

    @UML(identifier="relativePosition",
         obligation=MANDATORY,
         specification=ISO_19108)
    RelativePosition relativePosition(TemporalPrimitive other)

  Determines the position of this primitive relative to another primitive.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.